Name:		nagios-plugins-disks
Version:	0.12
Release:	1.1
Url:		http://www.linux-administrator.com
Group:		System/Monitoring
Summary:	Check diskspace of mounted FS
License:	GPL
Source0:	check_disks
Source10:	disks.cfg
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
AutoReqProv:	off
BuildRequires:	nagios-plugins nagios-plugins-check_multi bash
Requires:	nagios-plugins nagios-plugins-check_multi bash

%description
Alias plugins which uses check_disk and check_multi to check disk usage
of all mounted filesystems.

%prep

%build

%install
%__install -d %{buildroot}%{_prefix}/lib/nagios/plugins
%__install -d %{buildroot}%{_sysconfdir}/nagios/nrpe.d
%__install -m755 %{S:0} %{buildroot}%{_prefix}/lib/nagios/plugins/check_disks
%__install -m644 %{S:10} %{buildroot}%{_sysconfdir}/nagios/nrpe.d/disks.cfg

%clean
rm -rf %{buldroot}

%files
%defattr(-,root,root)
%if 0%{?rhel} > 0
%defattr(-,root,root)
%else
%dir %{_sysconfdir}/nagios
%endif
%dir %{_sysconfdir}/nagios/nrpe.d
%config %{_sysconfdir}/nagios/nrpe.d/disks.cfg
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/check_disks

%changelog
* Thu Jun  6 2024 Carsten <carsten.schoene@internetx.com>
- version 0.12
  * change report level of output to 520 (MRZ-998)
* Tue Mar 30 2021 Local OBS User <cs@linux-administrator.com>
- version 0.11
  * define thresholds for inode warning/critical
  definition for single volumes can be set like this:
  create directory /etc/nagios/check_disks/
  create file for block device name and substitute / with _
  e.g. _dev_mapper_vg--data-root
  file format is: <warn>%%:<crit>%%:<iwarn>%%:<icrit>%%
* Sat Feb 27 2016 cs@linux-administrator.com
- version 0.10
  * exlude /dev from list of block devices
* Mon Jul  7 2014 cs@linux-administrator.com
- version 0.9
  * fix missing default thresholds
* Tue Jun 24 2014 cs@linux-administrator.com
- version 0.8
  * changed the follow symlink logic, seems to work now
* Mon Jun 23 2014 cs@linux-administrator.com
- version 0.7
  * disable follow symlinks option from version 0.6
* Fri May  9 2014 cs@linux-administrator.com
- version 0.6
  * follow links of devices (needed to get real logical volume path
  * allow to define warn/crit in file for each device in
  /etc/nagios/check_disks/ directory.
  Create a file with format <warn>%%:<crit>%% called like the device
  name, substitute / with _ in filename
  e.g. _dev_mapper_vg--data-root
* Wed Mar 27 2013 cs@linux-administrator.com
- version 0.5
  * filter out '/vz/template:' based mounts
* Wed Feb  6 2013 cs@linux-administrator.com
- version 0.4
  * bind mount leads to multiple listings of devices, filter with 'sort -u'
* Wed Dec  5 2012 cs@linux-administrator.com
- version 0.3
  * add vzfs to filesystem type list
  * better error handling
* Tue Oct 30 2012 cs@linux-administrator.com
- version 0.2
  * add tmpfs to filesystem type list
